Debian Bug report logs - #639298
please support ext4 as binary and chroot filesystem

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Jani Monoses <jani@ubuntu.com>

Date: Thu, 25 Aug 2011 18:27:01 UTC

Severity: wishlist

Tags: patch

Found in version live-build/3.0~a30-1

Fixed in version live-build/3.0~a31-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jani@ubuntu.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#639298; Package live-build. (Thu, 25 Aug 2011 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jani Monoses <jani@ubuntu.com>:
New Bug report received and forwarded. Copy sent to jani@ubuntu.com, Debian Live Project <debian-live@lists.debian.org>. (Thu, 25 Aug 2011 18:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jani Monoses <jani@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: Support Ext4 for binary image types
Date: Thu, 25 Aug 2011 21:24:10 +0300
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a24-1ubuntu12
Severity: normal
Tags: patch


Please support ext4 in addition to ext2 and ext3

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-8-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap                   1.0.36     Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                   2.11-7ubuntu1     GNU cpio -- a program to manage ar
ii  gettext-base           0.18.1.1-3ubuntu1 GNU Internationalization utilities
ii  gnu-fdisk              1.2.4-3           Linux fdisk replacement based on l

Versions of packages live-build suggests:
ii  dosfstools          3.0.9-1ubuntu3       utilities for making and checking 
ii  fakeroot            1.17-1               tool for simulating superuser priv
ii  genisoimage         9:1.1.11-1ubuntu2    Creates ISO-9660 CD-ROM filesystem
ii  memtest86+          4.20-1ubuntu1        thorough real-mode memory tester
ii  mtools              4.0.12-1             Tools for manipulating MSDOS files
ii  parted              2.3-6ubuntu1         disk partition manipulator
pn  squashfs-tools | mt <none>               (no description available)
ii  sudo                1.7.4p6-1ubuntu1     Provide limited super user privile
ii  syslinux            2:4.04+dfsg-1ubuntu1 collection of boot loaders
ii  uuid-runtime        2.19.1-2ubuntu3      runtime components for the Univers
pn  win32-loader        <none>               (no description available)

-- no debconf information
[live-build-ext4-1.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#639298; Package live-build. (Thu, 25 Aug 2011 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jani Monoses <jani@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 25 Aug 2011 18:33:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Jani Monoses <jani@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#639298: live-build: Support Ext4 for binary image types
Date: Thu, 25 Aug 2011 21:28:42 +0300
[Message part 1 (text/plain, inline)]
I must add the patch is by Ben Howard and initially reported in Ubuntu and
untested by me.

https://bugs.launchpad.net/ubuntu/+source/live-build/+bug/803547

but the idea is to try pushing things to Debian first.

On Thu, Aug 25, 2011 at 9:24 PM, Jani Monoses <jani@ubuntu.com> wrote:

> Package: live-build
> Version: 3.0~a24-1ubuntu12
> Severity: normal
> Tags: patch
>
>
> Please support ext4 in addition to ext2 and ext3
>
> -- Package-specific info:
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers oneiric-updates
>  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500,
> 'oneiric')
> Architecture: i386 (i686)
>
> Kernel: Linux 3.0.0-8-generic (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages live-build depends on:
> ii  debootstrap                   1.0.36     Bootstrap a basic Debian
> system
>
> Versions of packages live-build recommends:
> ii  cpio                   2.11-7ubuntu1     GNU cpio -- a program to
> manage ar
> ii  gettext-base           0.18.1.1-3ubuntu1 GNU Internationalization
> utilities
> ii  gnu-fdisk              1.2.4-3           Linux fdisk replacement based
> on l
>
> Versions of packages live-build suggests:
> ii  dosfstools          3.0.9-1ubuntu3       utilities for making and
> checking
> ii  fakeroot            1.17-1               tool for simulating superuser
> priv
> ii  genisoimage         9:1.1.11-1ubuntu2    Creates ISO-9660 CD-ROM
> filesystem
> ii  memtest86+          4.20-1ubuntu1        thorough real-mode memory
> tester
> ii  mtools              4.0.12-1             Tools for manipulating MSDOS
> files
> ii  parted              2.3-6ubuntu1         disk partition manipulator
> pn  squashfs-tools | mt <none>               (no description available)
> ii  sudo                1.7.4p6-1ubuntu1     Provide limited super user
> privile
> ii  syslinux            2:4.04+dfsg-1ubuntu1 collection of boot loaders
> ii  uuid-runtime        2.19.1-2ubuntu3      runtime components for the
> Univers
> pn  win32-loader        <none>               (no description available)
>
> -- no debconf information
>
[Message part 2 (text/html, inline)]

Changed Bug title to 'please support ext4 as binary and chroot filesystem' from 'live-build: Support Ext4 for binary image types' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 25 Aug 2011 21:48:23 GMT) Full text and rfc822 format available.

Bug Marked as found in versions live-build/3.0~a30-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 25 Aug 2011 21:48:24 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 3.0~a24-1ubuntu12. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 25 Aug 2011 21:48:25 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 25 Aug 2011 21:48:25 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 25 Aug 2011 21:48:26 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 07 Sep 2011 16:03:13 GMT) Full text and rfc822 format available.

Notification sent to Jani Monoses <jani@ubuntu.com>:
Bug acknowledged by developer. (Wed, 07 Sep 2011 16:03:13 GMT) Full text and rfc822 format available.

Message #25 received at 639298-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 639298-close@bugs.debian.org
Subject: Bug#639298: fixed in live-build 3.0~a31-1
Date: Wed, 07 Sep 2011 16:02:20 +0000
Source: live-build
Source-Version: 3.0~a31-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a31-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a31-1_all.deb
live-build-cron_3.0~a31-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a31-1_all.deb
live-build_3.0~a31-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a31-1.debian.tar.gz
live-build_3.0~a31-1.dsc
  to main/l/live-build/live-build_3.0~a31-1.dsc
live-build_3.0~a31-1_all.deb
  to main/l/live-build/live-build_3.0~a31-1_all.deb
live-build_3.0~a31.orig.tar.gz
  to main/l/live-build/live-build_3.0~a31.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639298@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 07 Sep 2011 17:41:19 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a31-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 589728 620953 637979 639298
Changes: 
 live-build (3.0~a31-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Renumbering hooks.
   * Introducing --apt-sources option to control if the live system
     should have deb-src entries in sources.list.
   * Setting apt-source to false in progress mode.
   * Avoiding magic defaults for --apt-indices option when using minimal
     or stripped packagelist.
   * Renaming --apt-source to --apt-source-archives.
   * Including live-tools in standard package list.
   * Adding support for ext4 for binary and chroot filesystem, including
     partial patch from Ben Howard <ben.howard@canonical.com> (Closes:
     #639298).
 .
   [ intrigeri ]
   * Fixing typos brought in by ext4 support patch.
 .
   [ Daniel Baumann ]
   * Only calling udevadm in losetup function when udev is installed on
     the host system.
   * Silencing rmdir calls in makefile.
   * Automatically using an embedded live-build copy from within the
     config tree at local/live-build, if existing.
   * Doing uuid.conf extraction from initrd with the correct
     decompression utility (Closes: #637979).
   * Completing the restoring of the outer chroot when building in
     chrooted to not taint subsequent rebuilds of the binary stage with
     leftovers from the initial lb_binary_rootfs (Closes: #620953).
   * Renaming binary.packages list files (that contain what package is
     installed in the chroot) to chroot as they are build during chroot
     stage, this fixes some rebuild issues.
   * Renaming forgotten lb_binary_local-packagelists to
     lb_binary_packagelists.
   * Renaming lb_chroot_local-includes into lb_chroot_includes and check
     for includes in config/includes.chroot.
   * Copying chroot.packages.live to binary.packages.
   * Improving messages when saving and restoring stage caches (Closes:
     #589728).
   * Improve message when skipping a helper because it is already run.
   * Renaming config/chroot_packages to config/packages.chroot.
   * Renaming lb_chroot_packagelists to lb_chroot_package-lists so that
     helper matches directory.
   * Setting origin in apt release files for local packages to
     config/packages.chroot.
   * Removing spurious version information in cgi form template.
   * Adding link to live-build homepage and version information in cgi
     footer template.
   * Using config/includes.binary rather than config/binary_local-
     includes.
   * Using config/packages.binary instead of config/binary_local-debs.
   * Using config/packages.binary instead of config/binary_local-udebs.
   * Updating lb_config for config/packages.binary.
   * Also respect config/packages for packages to be installed in both
     chroot and binary.
   * Correcting syntax error in local package handling.
Checksums-Sha1: 
 823803709bdbc8791bb6398eb114b7057909af45 1299 live-build_3.0~a31-1.dsc
 8acae2f86fcbfd0c0e24d28119a0928c0ff0ee98 1826255 live-build_3.0~a31.orig.tar.gz
 a15ada66483be0c674525f80973474a9fe683c0e 48801 live-build_3.0~a31-1.debian.tar.gz
 72cec9615eaa133bed93841b8da5d62c68664500 1134038 live-build_3.0~a31-1_all.deb
 639c5aeb301127fa1db83de5615e9ae0195dbfea 62244 live-build-cgi_3.0~a31-1_all.deb
 54c83e212874e55ec841d5cac766b52c5a761e1e 62308 live-build-cron_3.0~a31-1_all.deb
Checksums-Sha256: 
 69010a1ed9d67866866c3ab503f1b0b9dbfeb6756f55a99529228a7b37072d7a 1299 live-build_3.0~a31-1.dsc
 f68fc5dc4f3a10ae27a7a05c560d90fee6d9fd8d296c24c8222e82ed19540daa 1826255 live-build_3.0~a31.orig.tar.gz
 9a2f54156688c3ac3848a3f93ef1451e16419b4ea263fd771e024eef9f4a24b3 48801 live-build_3.0~a31-1.debian.tar.gz
 bcbdfb98a82e1ee60f98146927196b8cfc01fca1bb34ddca103f65248f278de8 1134038 live-build_3.0~a31-1_all.deb
 f702ef8a7a8db80a8f11946b4ff69bf3fd5085be03e7d3d6c4ab35d2241b9409 62244 live-build-cgi_3.0~a31-1_all.deb
 bd87041b2bd268e823315f20499129a1c2182704bed6ad272c0bb59ff4188e5f 62308 live-build-cron_3.0~a31-1_all.deb
Files: 
 499a74ecbfe795fab2d8addd7656de91 1299 misc optional live-build_3.0~a31-1.dsc
 f36b225b0676697135641105256ecb50 1826255 misc optional live-build_3.0~a31.orig.tar.gz
 9c9863dc72034a1a5e8cdd3c08d415e6 48801 misc optional live-build_3.0~a31-1.debian.tar.gz
 1714aa4c1a5139dde6948b6e397b7ef5 1134038 misc optional live-build_3.0~a31-1_all.deb
 bed6018ed6f2b34155005705919d5a4b 62244 misc optional live-build-cgi_3.0~a31-1_all.deb
 89469a8a134809533876daf5ee0b7264 62308 misc optional live-build-cron_3.0~a31-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk5nkp8ACgkQ+C5cwEsrK54yjACgmNm7nc2mC+KBHPbOdtun27L5
7/kAn1OC+kRPphb6RBFMmPOelCJAdWdw
=1JM1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Oct 2011 07:37:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:47:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.